Name:           python-pydiffx
Version:        1.1
Release:    1%{?dist}
Summary:        Python implementation of the DiffX specification
License:        MIT
URL:            https://diffx.org/pydiffx/
Source0:         %{pypi_source pydiffx}

BuildArch:      noarch

BuildRequires:  python3-devel

Patch0:          add_requirements.patch
Patch1:          pydiffx-1.1-Fix-Python-3.12-compatibility.patch

%global _description %{expand:
DiffX is a proposed specification for a structured version of Unified
Diffsthat contains metadata, standardized parsing, multi-commit diffs, and
binary diffs, in a format compatible with existing diff parsers.

This module is a reference implementation designed to make it easy to read
and write DiffX files in any Python application.}

%description %_description


%package -n python3-pydiffx
Summary:        %{summary}


%description -n python3-pydiffx %_description


%prep
%autosetup -p1 -n pydiffx-%{version}


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files pydiffx


%check
%pytest


%files -n python3-pydiffx -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
